org.apache.avro.perf.test.generic.jmh_generated

## Class GenericStringTest_TestStateEncode_jmhType

- java.lang.Object
- - org.apache.avro.perf.test.BasicState
  - - org.apache.avro.perf.test.generic.GenericStringTest.TestStateEncode
    - - org.apache.avro.perf.test.generic.jmh_generated.GenericStringTest_TestStateEncode_jmhType_B1
      - - org.apache.avro.perf.test.generic.jmh_generated.GenericStringTest_TestStateEncode_jmhType_B2
        - - org.apache.avro.perf.test.generic.jmh_generated.GenericStringTest_TestStateEncode_jmhType_B3
          - - org.apache.avro.perf.test.generic.jmh_generated.GenericStringTest_TestStateEncode_jmhType

    public class GenericStringTest_TestStateEncode_jmhType
    extends GenericStringTest_TestStateEncode_jmhType_B3

### Field Summary

### Fields inherited from class org.apache.avro.perf.test.generic.jmh_generated.GenericStringTest_TestStateEncode_jmhType_B2

`setupInvocationMutex, setupInvocationMutexUpdater, setupIterationMutex, setupIterationMutexUpdater, setupTrialMutex, setupTrialMutexUpdater, tearInvocationMutex, tearInvocationMutexUpdater, tearIterationMutex, tearIterationMutexUpdater, tearTrialMutex, tearTrialMutexUpdater`

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GenericStringTest_TestStateEncode_jmhType()`

### Method Summary

### Methods inherited from class org.apache.avro.perf.test.generic.GenericStringTest.TestStateEncode

`doSetupTrial`

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getBatchSize, getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenericStringTest_TestStateEncode_jmhType

    public GenericStringTest_TestStateEncode_jmhType()